Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.vm
Class VMBreakpointManager

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.VMBreakpointManager

    public class VMBreakpointManager

extends java.lang.Object

Constructor Summary
`VMBreakpointManager(org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit mainUnit)`

Method Summary
`boolean` | `changeBreakpoint(long breakpointID, BreakpointData data)`
`VMBreakpoint` | `createBreakpoint(NewBreakpointData data)`
`VMBreakpoint` | `createVMPrivateBreakpoint(URI unitURI, ASTNode element, int line, boolean isTemporary)`
`VMBreakpoint[]` | `getAllBreakpoints()`
`ASTNode` | `getBreakpointableElement(URI targetURI, int lineNumber)`
`java.util.List<VMBreakpoint>` | `getBreakpoints(ASTNode e)`
`UnitManager` | `getUnitManager()`
`boolean` | `removeBreakpoint(long breakpointID)`
`boolean` | `removeBreakpoint(VMBreakpoint breakpoint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMBreakpointManager

    public VMBreakpointManager(org.eclipse.m2m.internal.qvt.oml.compiler.CompiledUnit mainUnit)

Method Detail

### getUnitManager

    public UnitManager getUnitManager()

### getBreakpoints

    public java.util.List<VMBreakpoint> getBreakpoints(ASTNode e)

### createBreakpoint

    public VMBreakpoint createBreakpoint(NewBreakpointData data)

### createVMPrivateBreakpoint

    public VMBreakpoint createVMPrivateBreakpoint(URI unitURI,
                                                  ASTNode element,
                                                  int line,
                                                  boolean isTemporary)
                                           throws CoreException

  Throws:
    `CoreException`

### getAllBreakpoints

    public VMBreakpoint[] getAllBreakpoints()

### getBreakpointableElement

    public ASTNode getBreakpointableElement(URI targetURI,
                                            int lineNumber)

### removeBreakpoint

    public boolean removeBreakpoint(VMBreakpoint breakpoint)

### removeBreakpoint

    public boolean removeBreakpoint(long breakpointID)

### changeBreakpoint

    public boolean changeBreakpoint(long breakpointID,
                                    BreakpointData data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD